package com.zcloud.basic.info.persistence.repository;

import com.alibaba.cola.dto.MultiResponse;
import com.zcloud.basic.info.persistence.dataobject.PostDO;
import com.alibaba.cola.dto.SingleResponse;
import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;

import java.util.List;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author SondonYong
 * @Date 2025-10-31 17:24:04
 */
public interface PostRepository extends BaseRepository<PostDO> {

    PageResponse<PostDO> listPage(Map<String, Object> params);

    MultiResponse<PostDO> list(Map<String, Object> params);

    SingleResponse<PostDO> getInfoById(Long id);

    Long getCountByCorpInfoId(Long id);

    List<PostDO> listByCorpInfoId(Long corpInfoId);

    Boolean checkPostDepartment(Long id);

    void deleteByCorpInfoId(Long corpInfoId);
}

